cereal::PortableBinaryOutputArchive::Options Class Reference

A class containing various advanced options for the PortableBinaryOutput archive. More...

`#include </home/shane/workspace/cereal/include/cereal/archives/portable_binary.hpp>`

## Public Types

enum | Endianness : std::uint8_t { big, little }
| Represents desired endianness.

## Public Member Functions

| Options (Endianness outputEndian=getEndianness())
| Specify specific options for the PortableBinaryOutputArchive. More...

## Static Public Member Functions

static Options | Default ()
| Default options, preserve system endianness.
static Options | LittleEndian ()
| Save as little endian.
static Options | BigEndian ()
| Save as big endian.

## Friends

class | PortableBinaryOutputArchive

## Detailed Description

A class containing various advanced options for the PortableBinaryOutput archive.

## Constructor & Destructor Documentation

## Options()

cereal::PortableBinaryOutputArchive::Options::Options | ( | Endianness | outputEndian = `getEndianness()` | ) |

inlineexplicit

Specify specific options for the PortableBinaryOutputArchive.

Parameters

  outputEndian | The desired endianness of saved (output) data

The documentation for this class was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/archives/portable_binary.hpp